com.holonplatform.vaadin.flow.components.builders

## Interface PasswordInputBuilder

- All Superinterfaces:
    ComponentConfigurator<PasswordInputBuilder>, CompositionNotifierConfigurator<PasswordInputBuilder>, DeferrableLocalizationConfigurator<PasswordInputBuilder>, FocusableConfigurator<com.vaadin.flow.component.Component,PasswordInputBuilder>, HasAutocapitalizeConfigurator<PasswordInputBuilder>, HasAutocompleteConfigurator<PasswordInputBuilder>, HasAutocorrectConfigurator<PasswordInputBuilder>, HasAutofocusConfigurator<PasswordInputBuilder>, HasDeferrableLocalization, HasElementConfigurator<PasswordInputBuilder>, HasEnabledConfigurator<PasswordInputBuilder>, HasLabelConfigurator<PasswordInputBuilder>, HasPatternConfigurator<PasswordInputBuilder>, HasPlaceholderConfigurator<PasswordInputBuilder>, HasPrefixAndSuffixConfigurator<PasswordInputBuilder>, HasSizeConfigurator<PasswordInputBuilder>, HasStyleConfigurator<PasswordInputBuilder>, HasThemeVariantConfigurator<com.vaadin.flow.component.textfield.TextFieldVariant,PasswordInputBuilder>, HasTitleConfigurator<PasswordInputBuilder>, HasValueChangeModeConfigurator<PasswordInputBuilder>, InputBuilder<String,ValueHolder.ValueChangeEvent<String>,Input<String>,PasswordInputBuilder>, InputConfigurator<String,ValueHolder.ValueChangeEvent<String>,PasswordInputBuilder>, InputNotifierConfigurator<PasswordInputBuilder>, InputValueConfigurator<String,ValueHolder.ValueChangeEvent<String>,PasswordInputBuilder>, KeyNotifierConfigurator<PasswordInputBuilder>, TextInputConfigurator<PasswordInputBuilder>

      public interface PasswordInputBuilder
      extends InputBuilder<String,ValueHolder.ValueChangeEvent<String>,Input<String>,PasswordInputBuilder>, InputValueConfigurator<String,ValueHolder.ValueChangeEvent<String>,PasswordInputBuilder>, TextInputConfigurator<PasswordInputBuilder>, HasSizeConfigurator<PasswordInputBuilder>, HasStyleConfigurator<PasswordInputBuilder>, HasAutofocusConfigurator<PasswordInputBuilder>, FocusableConfigurator<com.vaadin.flow.component.Component,PasswordInputBuilder>, HasPrefixAndSuffixConfigurator<PasswordInputBuilder>, CompositionNotifierConfigurator<PasswordInputBuilder>, HasPlaceholderConfigurator<PasswordInputBuilder>, HasLabelConfigurator<PasswordInputBuilder>, HasTitleConfigurator<PasswordInputBuilder>, HasPatternConfigurator<PasswordInputBuilder>, HasThemeVariantConfigurator<com.vaadin.flow.component.textfield.TextFieldVariant,PasswordInputBuilder>, DeferrableLocalizationConfigurator<PasswordInputBuilder>

  Builder to create `String` type `Input` components.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `InputConfigurator.BaseInputConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PasswordInputBuilder` | `create()` Get a new `PasswordInputBuilder` to create a `String` type `Input`.
    `PasswordInputBuilder` | `revealButtonVisible(boolean revealButtonVisible)` Set to `false` to hide the eye icon which toggles the password visibility.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputBuilder

      `build, validatable`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputValueConfigurator

      `withValue`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `readOnly, readOnly, required, required, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.TextInputConfigurator

      `blankValuesAsNull, emptyValuesAsNull, maxLength, minLength`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasAutocompleteConfigurator

      `autocomplete`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasAutocapitalizeConfigurator

      `autocapitalize`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasAutocorrectConfigurator

      `autocorrect`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputNotifierConfigurator

      `withInputListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.KeyNotifierConfigurator

      `withKeyDownListener, withKeyDownListener, withKeyPressListener, withKeyPressListener, withKeyUpListener, withKeyUpListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasValueChangeModeConfigurator

      `valueChangeMode`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `fullHeight, fullSize, fullWidth, height, height, heightUndefined, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasAutofocusConfigurator

      `autofocus`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.FocusableConfigurator

      `tabIndex, withBlurListener, withFocusListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasPrefixAndSuffixConfigurator

      `prefixComponent, suffixComponent`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.CompositionNotifierConfigurator

      `withCompositionEndListener, withCompositionStartListener, withCompositionUpdateListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasPlaceholderConfigurator

      `placeholder, placeholder, placeholder`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasLabelConfigurator

      `label, label, label`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasTitleConfigurator

      `description, description, description, title, title, title`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasPatternConfigurator

      `pattern, preventInvalidInput, preventInvalidInput`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasThemeVariantConfigurator

      `withThemeVariants`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DeferrableLocalizationConfigurator

      `deferLocalization, withDeferredLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDeferrableLocalization

      `isDeferredLocalizationEnabled`

- - ### Method Detail

    - #### revealButtonVisible

          PasswordInputBuilder revealButtonVisible(boolean revealButtonVisible)

      Set to `false` to hide the eye icon which toggles the password visibility.
      Parameters:
        `revealButtonVisible` - `true` to set the button visible, `false` otherwise
      Returns:
        this

    - #### create

          static PasswordInputBuilder create()

      Get a new `PasswordInputBuilder` to create a `String` type `Input`.
      Returns:
        A new `PasswordInputBuilder`

Copyright © 2019 The Holon Platform. All rights reserved.